<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:vdex="http://www.imsglobal.org/xsd/imsvdex_v1p0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="vdex">
    <xsl:output encoding="utf-8" omit-xml-declaration="yes" method="xml" standalone="yes" media-type="text/html" indent="yes" version="1.0"/>
	<xsl:param name="classif"></xsl:param>
    <xsl:template match="/vdex:vdex">
            <h2>
                <xsl:value-of select="vdex:vocabIdentifier"/>
                <xsl:text> / </xsl:text>
                <xsl:value-of select="vdex:vocabName/vdex:langstring"/>
            </h2>
            <xsl:apply-templates select="vdex:term"/>
        	<br/>
    </xsl:template>
    <xsl:template match="vdex:term">
        <xsl:variable name="dl_class">
            <xsl:choose>
                <xsl:when test="vdex:term">
                    <xsl:text>classif_noline collapsible collapsedOnLoad</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>classif_noline</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="dt_class">
            <xsl:choose>
                <xsl:when test="vdex:term">
                    <xsl:text>collapsibleHeader classif_noline</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>classif_noline</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="dd_class">
            <xsl:choose>
                <xsl:when test="vdex:term">
                    <xsl:text>classif_noline collapsibleContent</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>classif_noline</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <dl>
            <xsl:attribute name="class">
                <xsl:value-of select="$dl_class"/>
            </xsl:attribute>
            <dt>
                <xsl:attribute name="class">
                    <xsl:value-of select="$dt_class"/>
                </xsl:attribute>
                <xsl:element name="input">
                    <xsl:attribute name="type">
                        <xsl:text>checkbox</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="name">
                        <xsl:text>classification:list</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="value">
                        <xsl:value-of select="vdex:termIdentifier/text()"/>
                    </xsl:attribute>
                </xsl:element>
                <xsl:variable name="position" select="count(ancestor::vdex:term)"/>
                <xsl:value-of select="vdex:caption/vdex:langstring"/>
            </dt>
            <xsl:if test="vdex:term">
                <dd>
                    <xsl:attribute name="class">
                        <xsl:value-of select="$dd_class"/>
                    </xsl:attribute>
                    <xsl:apply-templates select="vdex:term"/>
                </dd>
            </xsl:if>
        </dl>
    </xsl:template>
</xsl:stylesheet>